<div class="component-list" ...attributes>
  <PowerSelect @options={{@groups}} @search={{this.searchRecord}} @selected={{this.selected}} @onChange={{this.change}} @searchEnabled={{true}} as |element|>
    {{#if element.icon}}
      <div class="icon d-inline-block">
        <FaIcon @icon={{element.icon}} />
      </div>
    {{/if}}

    {{#if element.label}}
      <div class="d-inline-block label">{{element.label}}</div>
    {{else}}
      <div class="d-inline-block label">{{element.name}}</div>
    {{/if}}
  </PowerSelect>
</div>